.legal-page {
    position: relative;
    width: 100%;
    background-color: white;
    overflow: hidden;
}

.legal-page::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--bg-color);
    clip-path: polygon(
        calc(100% - var(--image-width) + (var(--image-height) / 2)) 0%,
        100% 0%,
        100% 100%,
        0% 100%,
        0% calc(100vw - var(--image-width) + (var(--image-height) / 2))
    );
}

.legal-page__inner {
    position: relative;
    z-index: 1;
    padding: 150px var(--layout-inline-margin) 180px;
}

.legal-page__title {
    width: 100%;
    max-width: 640px;
    margin-bottom: 60px;
}

.legal-page__content {
    width: 100%;
    max-width: 893px;
}

@media (max-width: 767px) {
    .legal-page::before {
        clip-path: polygon(
            0% 0%,
            100% 100vw,
            100% 100%,
            0% 100%
        );
    }

    .legal-page__inner {
        padding-top: 96px;
        padding-bottom: 100px;
    }

    .legal-page__title {
        margin-bottom: 40px;
    }
}
